Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationLog

    public interface ConfigurationLog

The `ConfigurationLog` takes charge of the logging configuration interfaces invoked by JSP logging configuration pages. Note: since V8, only the first three newly added API methods (`getLoggers()`, `load()` and `update()`) are useful in this interface. All the old API methods defined before V8 are deprecated.

Since:
  V8

Method Summary
`int` | `getBufferSize(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String` | `getDescription(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`int` | `getFlushTime(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String` | `getHost(int logtype, java.lang.String logTo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`ConfigLogger[]` | `getLoggers()` Gets all the loggers provided by JReport Server.
`int` | `getLogLevel(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String[]` | `getLogLevelList()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String` | `getLogToFilename(int logType)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`int` | `getLogToType(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String[]` | `getOutTypeList()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`int` | `getPort(int logtype, java.lang.String logTo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`int` | `getRolloverSize(int logTypeNo)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String[]` | `getTypeList()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`java.lang.String[]` | `getTypePromptList()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `load()` Loads the latest configuration file to a list and clear the cache of the previous change.
`void` | `loadProperties()` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setBufferSize(int logtype, int size)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setFlushTime(int logtype, int flushTime)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setHost(int logtype, java.lang.String host)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setLogLevel(int logtype, int logLevel)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setLogToFilename(int logtype, java.lang.String logToFilename)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setLogToType(int logtype, int logToType)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setPort(int logtype, int port)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`void` | `setRolloverSize(int logtype, int rolloverSize)` Deprecated. since V8, it is not recommended to use the deprecated API method.
`boolean` | `update()` Updates the changes and saves the changed properties to the configuration file, and then invokes the configuration service to take effect immediately.

Method Detail

### getLoggers

    ConfigLogger[] getLoggers()

  Gets all the loggers provided by JReport Server. It includes six JReport Server-specific loggers and their root loggers.

  Returns:
    all loggers currently configured.

### load

    void load()

  Loads the latest configuration file to a list and clear the cache of the previous change. This method should be invoked while entering the log configuration page.

### update

    boolean update()

  Updates the changes and saves the changed properties to the configuration file, and then invokes the configuration service to take effect immediately.

  Returns:
    true if the changed options are successfully saved to the configuration file; else false.

### getDescription

    java.lang.String getDescription(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the description of the log type.

  Parameters:
    `logTypeNo,` - the type of log.
  Returns:
    the Description of log type.

### setLogLevel

    void setLogLevel(int logtype,
                     int logLevel)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Sets the level of log.

  Parameters:
    `logtype,` - the type of log.
    `logLevel` - the level of log.

### getLogLevel

    int getLogLevel(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the level of log.

  Parameters:
    `logTypeNo,` - the type of log.
  Returns:
    the level of log.

### setLogToType

    void setLogToType(int logtype,
                      int logToType)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Sets the type of logging to.

  Parameters:
    `logtype,` - the type of log.
    `logToType` - the type of logging to.

### getLogToType

    int getLogToType(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the type of logging to.

  Parameters:
    `logTypeNo,` - the type of log.
  Returns:
    the type of logging to.

### setLogToFilename

    void setLogToFilename(int logtype,
                          java.lang.String logToFilename)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Sets the file name if logging to file.

  Parameters:
    `logtype,` - the type of log.
    `logToFilename` - the file name if logging to file.

### getLogToFilename

    java.lang.String getLogToFilename(int logType)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the file name if logging to file.

  Parameters:
    `logtype,` - the type of log.
  Returns:
    the file name if logging to file.

### setRolloverSize

    void setRolloverSize(int logtype,
                         int rolloverSize)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Sets the roll over file size.

  Parameters:
    `logtype,` - the type of log.
    `rolloverSize` - the roll over file size.

### getRolloverSize

    int getRolloverSize(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the roll over file size.

  Parameters:
    `logTypeNo,` - the type of log.
  Returns:
    the roll over file size.

### setBufferSize

    void setBufferSize(int logtype,
                       int size)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Sets the buffer size.

  Parameters:
    `logtype,` - the type of log.
    `size` - the buffer size.

### getBufferSize

    int getBufferSize(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the buffer size.

  Parameters:
    `logTypeNo,` - the type of log.
  Returns:
    the buffer size.

### setFlushTime

    void setFlushTime(int logtype,
                      int flushTime)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Sets the flush time.

  Parameters:
    `logtype,` - the type of log.
    `flushTime` - the flush time.

### getFlushTime

    int getFlushTime(int logTypeNo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the flush time.

  Parameters:
    `logTypeNo,` - the type of log.
  Returns:
    the flush time.

### setHost

    void setHost(int logtype,
                 java.lang.String host)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Sets the host name.

  Parameters:
    `logtype,` - the type of log.
    `host` - the host name.

### getHost

    java.lang.String getHost(int logtype,
                             java.lang.String logTo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the host name.

  Parameters:
    `logtype,` - the type of log.
  Returns:
    the host name.

### setPort

    void setPort(int logtype,
                 int port)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Sets the port.

  Parameters:
    `logtype,` - the type of log.
    `port` - the logging to port.

### getPort

    int getPort(int logtype,
                java.lang.String logTo)

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Gets the port that logs to.

  Parameters:
    `logtype` - the type of log.
    `logTo` - logging to destination.
  Returns:
    the logging to port.

### getTypeList

    java.lang.String[] getTypeList()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the list of log type .

  Returns:
    the string array for log type.

### getTypePromptList

    java.lang.String[] getTypePromptList()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the list of log type description.

  Returns:
    the string array for log type description.

### getOutTypeList

    java.lang.String[] getOutTypeList()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the list of out log type.

  Returns:
    the string array for the out log type.

### getLogLevelList

    java.lang.String[] getLogLevelList()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Returns the list of level.

  Returns:
    the string array for level.

### loadProperties

    void loadProperties()

  Deprecated. since V8, it is not recommended to use the deprecated API method.

  Loads the properties of server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD